Replaces the entitlements of a grant with a specific id.
You can only replace objects in the entitlements array for a grant with the CUSTOM grant type. This may result in changes to principal entitlements.
The grant request parameters depend on the selected grantType
Type of grant. Reconciliation creates an IMPORT grant to record an entitlement that the app reported, but that Okta wasn't already governing.
The entitlement bundle id
The Okta user in ORN format
The action to be taken for a grant
The flow that triggered the grant request
| Enum Value | Description |
|---|---|
| API | The grant request was triggered from the API. |
| ACCESS_REQUEST | The grant request was triggered from an access request. |
| NONE | The grant request wasn't triggered from the API, an access request, or the Admin Console. |
| ADMIN | The grant request was triggered from the Admin Console. |
The Okta resource in ORN format
See the ORN format for supported resources.
Collection of entitlements and associated value identifiers
Scheduler specific settings applicable to a grant.
The state of the particular grant setting
curl -i -X PUT \
'https://okta-subdomain.pixtulate.com/governance/api/v1/grants/{grantId}' \
-H 'Content-Type: application/json' \
-d '{
"id": "0ggb0oNGTSWTBKOLGLNR",
"created": "2022-05-24T14:15:22Z",
"createdBy": "00ub0oNGTSWTBKOLGLNR",
"lastUpdated": "2022-05-24T14:15:22Z",
"lastUpdatedBy": "00ub0oNGTSWTBKOLGLNR",
"grantType": "CUSTOM",
"action": "ALLOW",
"actor": "API",
"targetResourceOrn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ",
"target": {
"externalId": "0oafxqCAJWWGELFTYASJ",
"type": "APPLICATION"
},
"targetPrincipalOrn": "orn:okta:directory:00o11edPwGqbUrsDm0g4:users:00ub0oNGTSWTBKOLGLNR",
"targetPrincipal": {
"externalId": "00ub0oNGTSWTBKOLGLNR",
"type": "OKTA_USER"
},
"entitlements": [
{
"id": "espo3v6xlwdtEX2il1d6",
"values": [
{
"id": "ento3v6xmkviXCltm1d6"
},
{
"id": "ento3v6xk6nOq7lm51d6"
}
]
},
{
"id": "esp4rg7fkom0c3AsX8g6",
"values": [
{
"id": "ent4rg7fltWSgrlDT8g6"
}
]
}
],
"status": "ACTIVE",
"_links": {
"self": {
"href": "https://okta-myorg.pixtulate.com/governance/api/v1/grants/0ggb0oNGTSWTBKOLGLNR"
}
}
}'A successful grant creation operation
The id of the Okta user who created the resource
The ISO 8601 formatted date and time when the resource was created
The ISO 8601 formatted date and time when the object was last updated
The id of the Okta user who last updated the object
Type of grant. Reconciliation creates an IMPORT grant to record an entitlement that the app reported, but that Okta wasn't already governing.
The entitlement bundle id
The Okta user in ORN format
The action to be taken for a grant
The flow that triggered the grant request
| Enum Value | Description |
|---|---|
| API | The grant request was triggered from the API. |
| ACCESS_REQUEST | The grant request was triggered from an access request. |
| NONE | The grant request wasn't triggered from the API, an access request, or the Admin Console. |
| ADMIN | The grant request was triggered from the Admin Console. |
The Okta resource in ORN format
See the ORN format for supported resources.
Collection of entitlements and associated value identifiers
Scheduler specific settings applicable to a grant.
The state of the particular grant setting
{ "id": "0ggb0oNGTSWTBKOLGLNR", "created": "2022-05-24T14:15:22Z", "createdBy": "00ub0oNGTSWTBKOLGLNR", "lastUpdated": "2022-05-24T14:15:22Z", "lastUpdatedBy": "00ub0oNGTSWTBKOLGLNR", "grantType": "CUSTOM", "action": "ALLOW", "actor": "API", "targetResourceOrn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ", "target": { "externalId": "0oafxqCAJWWGELFTYASJ", "type": "APPLICATION" }, "targetPrincipalOrn": "orn:okta:directory:00o11edPwGqbUrsDm0g4:users:00ub0oNGTSWTBKOLGLNR", "targetPrincipal": { "externalId": "00ub0oNGTSWTBKOLGLNR", "type": "OKTA_USER" }, "entitlements": [ { … }, { … } ], "status": "ACTIVE", "_links": { "self": { … } } }